Name:          python-psycopg2
Version:       2.9.10
Release:       1mamba
Summary:       PostgreSQL database adapter for the Python programming language
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/psycopg2/
Source:        https://pypi.debian.net/psycopg2/psycopg2-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpostgresql-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: libpython3-devel
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n psycopg2-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so
%doc AUTHORS LICENSE
## note: add extra documentation (if any)
# %doc NEWS README.rst

%changelog
* Thu Oct 17 2024 Automatic Build System <autodist@openmamba.org> 2.9.10-1mamba
- automatic version update by autodist

* Tue Oct 03 2023 Automatic Build System <autodist@mambasoft.it> 2.9.9-1mamba
- automatic version update by autodist

* Thu Sep 28 2023 Automatic Build System <autodist@mambasoft.it> 2.9.8-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.9.7-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun Aug 06 2023 Automatic Build System <autodist@mambasoft.it> 2.9.7-1mamba
- automatic version update by autodist

* Mon Apr 03 2023 Automatic Build System <autodist@mambasoft.it> 2.9.6-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 2.9.5-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 2.9.4-1mamba
- automatic version update by autodist

* Thu Dec 30 2021 Automatic Build System <autodist@mambasoft.it> 2.9.3-1mamba
- automatic version update by autodist

* Fri Nov 12 2021 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Sun Jan 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.6-1mamba
- package created using the webbuild interface
